%define upstream_name    Config-Model
%define upstream_version 2.083

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Framework for config validation and edition
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Carp::Assert::More)
BuildRequires: perl(Config::Model::Tester) >= 2.53.0
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(English)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::Path)
BuildRequires: perl(Hash::Merge) >= 0.120.0
BuildRequires: perl(IO::File)
BuildRequires: perl(JSON)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Log::Log4perl) >= 1.110.0
BuildRequires: perl(Module::Build) >= 0.340.0
BuildRequires: perl(Mouse)
BuildRequires: perl(Mouse::Role)
BuildRequires: perl(Mouse::Util)
BuildRequires: perl(Mouse::Util::TypeConstraints)
BuildRequires: perl(MouseX::NativeTraits)
BuildRequires: perl(MouseX::StrictConstructor)
BuildRequires: perl(POSIX)
BuildRequires: perl(Parse::RecDescent)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Pod::POM)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Storable)
BuildRequires: perl(Term::ReadLine)
BuildRequires: perl(Term::ReadLine::Gnu)
BuildRequires: perl(Term::ReadLine::Perl)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::File::Contents)
BuildRequires: perl(Test::Memory::Cycle)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Warn) >= 0.110.0
BuildRequires: perl(Text::Diff)
BuildRequires: perl(Text::Levenshtein::Damerau)
BuildRequires: perl(Text::Wrap)
BuildRequires: perl(YAML)
BuildRequires: perl(warnings::register)
Requires: perl(Mouse::Meta::Attribute::Custom::Trait::Hash)
BuildArch:  noarch

Requires:   perl(Parse::RecDescent)
Requires:   perl(Exception::Class)
Requires:   perl(Carp::Assert::More)
%{?perl_default_filter}
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}

%description
Config::Model provides a validation engine according to a set of rules.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Build.PL --installdirs=vendor
./Build


%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MODELS MYMETA.yml TODO examples
%{perl_vendorlib}/Config
%{_mandir}/man3/*


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 2.83.0-4pclos2017
- rebuild against updates

